babel-preset-es2015-webpack

Babel preset for all es2015 plugins except babel-plugin-transform-es2015-modules-commonjs.

Use preset options to disable module transformation https://github.com/gajus/babel-preset-es2015-webpack#deprecated
Last updated 4 years ago by gajus .
BSD-3-Clause · Repository · Bugs · Original npm · Tarball · package.json
$ cnpm install babel-preset-es2015-webpack 
SYNC missed versions from official npm registry.

Deprecated

As of Babel version v6.13.0, babel-preset-es2015 supports modules option.

Use preset options to disable transformation of the ES6 module syntax:

{
    "presets": [
        [
            "es2015",
            {
                "modules": false
            }
        ]
    ]
}

babel-preset-es2015-webpack

NPM version Travis build status js-canonical-style

Babel preset for all es2015 plugins except babel-plugin-transform-es2015-modules-commonjs.

This preset is used to enable ES2015 code compilation down to ES5. webpack 2 natively supports ES6 import and export statements. webpack 2 leverages the static structure of the ES6 modules to perform tree shaking.

For an introduction to tree shaking and webpack 2 see Tree-shaking with webpack 2 and Babel 6.

Install

npm install babel-preset-es2015-webpack --save-dev

Usage

Add to .babelrc:

{
    "presets": [
        "es2015-webpack"
    ]
}

Current Tags

  • 6.4.3                                ...           latest (4 years ago)

8 Versions

  • 6.4.3 [deprecated]           ...           4 years ago
  • 6.4.2 [deprecated]           ...           4 years ago
  • 6.4.1 [deprecated]           ...           4 years ago
  • 6.4.0 [deprecated]           ...           4 years ago
  • 6.3.15 [deprecated]           ...           4 years ago
  • 6.3.14 [deprecated]           ...           4 years ago
  • 6.3.13 [deprecated]           ...           5 years ago
  • 0.0.0 [deprecated]           ...           5 years ago

Copyright 2014 - 2017 © taobao.org |